net.i2p.router.transport

## Enum TransportUtil.IPv6Config

- java.lang.Object
- - java.lang.Enum<TransportUtil.IPv6Config>
  - - net.i2p.router.transport.TransportUtil.IPv6Config

- All Implemented Interfaces:
    Serializable, Comparable<TransportUtil.IPv6Config>
  Enclosing class:
    TransportUtil

      public static enum TransportUtil.IPv6Config
      extends Enum<TransportUtil.IPv6Config>

  IPv6 configuration options for transports.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IPV6_DISABLED` IPv6 disabled
    `IPV6_ENABLED` equal priority to IPv4
    `IPV6_NOT_PREFERRED` lower priority than IPv4
    `IPV6_ONLY` IPv4 disabled
    `IPV6_PREFERRED` higher priority than IPv4

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toConfigString()`
    `static TransportUtil.IPv6Config` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransportUtil.IPv6Config[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IPV6_DISABLED

          public static final TransportUtil.IPv6Config IPV6_DISABLED

      IPv6 disabled

    - #### IPV6_ENABLED

          public static final TransportUtil.IPv6Config IPV6_ENABLED

      equal priority to IPv4

    - #### IPV6_NOT_PREFERRED

          public static final TransportUtil.IPv6Config IPV6_NOT_PREFERRED

      lower priority than IPv4

    - #### IPV6_ONLY

          public static final TransportUtil.IPv6Config IPV6_ONLY

      IPv4 disabled

    - #### IPV6_PREFERRED

          public static final TransportUtil.IPv6Config IPV6_PREFERRED

      higher priority than IPv4

  - ### Method Detail

    - #### toConfigString

          public String toConfigString()

    - #### valueOf

          public static TransportUtil.IPv6Config valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static TransportUtil.IPv6Config[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransportUtil.IPv6Config c : TransportUtil.IPv6Config.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared